APP=interp_parallel_loop1

CC=pgcc
LINKER=pgcc

ODIR = ./
IDIR = ./

VPATH = ./

ACC=-mp
#ACC=-acc -ta=nvidia
CFLAGS=-I$(IDIR) $(ACC) -fast -Minfo -Minline -Msafeptr

LIBS=-lm

_DEPS =
DEPS = $(patsubst %,$(IDIR)/%,$(_DEPS))

_OBJ = interp_parallel_loop1.o
OBJ = $(patsubst %,$(ODIR)/%,$(_OBJ))


$(ODIR)/%.o: %.c $(DEPS)
        $(CC) -c -o $@ $< $(CFLAGS)

$(APP): $(OBJ)
        $(LINKER) -o $@ $^ $(CFLAGS) $(LIBS)

.PHONY: clean

clean:
        rm -f $(ODIR)/*.o *~ core $(INCDIR)/*~ $(APP)

